package com.qmth.distributed.print.business.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Description: 班级被分配情况
 * @Author: CaoZixuan
 * @Date: 2024-03-07
 */
public class ClazzDistributedResult {

    @ApiModelProperty("教学班id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long clazzId;

    @ApiModelProperty("教学班名称")
    private String clazzName;

    @ApiModelProperty("教师信息集合")
    private List<DictionaryResult> teacherList;

    public Long getClazzId() {
        return clazzId;
    }

    public void setClazzId(Long clazzId) {
        this.clazzId = clazzId;
    }

    public String getClazzName() {
        return clazzName;
    }

    public void setClazzName(String clazzName) {
        this.clazzName = clazzName;
    }

    public List<DictionaryResult> getTeacherList() {
        return teacherList;
    }

    public void setTeacherList(List<DictionaryResult> teacherList) {
        this.teacherList = teacherList;
    }
}
